- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | Protected Attributes | Friends | List of all members
pdftron::PDF::XPSOutputCommonOptions Class Reference

`#include <Convert.h>`

Inheritance diagram for pdftron::PDF::XPSOutputCommonOptions:

## Public Types
enum | OverprintPreviewMode { e_op_off = 0, e_op_on, e_op_pdfx_on }

## Public Member Functions
| XPSOutputCommonOptions ()
void | SetPrintMode (bool print_mode)
void | SetDPI (UInt32 dpi)
void | SetRenderPages (bool render)
void | SetThickenLines (bool thicken)
void | GenerateURLLinks (bool generate)
void | SetOverprint (enum OverprintPreviewMode mode)

## Public Attributes
TRN_Obj | m_obj

## Protected Attributes
SDF::ObjSet | m_objset

## Friends
class | Convert

## Detailed Description

A class containing options common to ToXps and ToXod functions

Definition at line 1423 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::XPSOutputCommonOptions::OverprintPreviewMode

Enumerator
e_op_off |
e_op_on |
e_op_pdfx_on |

Definition at line 1461 of file Convert.h.

## Constructor & Destructor Documentation

pdftron::PDF::XPSOutputCommonOptions::XPSOutputCommonOptions | ( |  | ) |

Creates an XPSConvertOptions object with default settings

## Member Function Documentation

void pdftron::PDF::XPSOutputCommonOptions::GenerateURLLinks | ( | bool | generate | ) |

Sets whether links should be generated from urls found in the document. Default is false.

Parameters

  generate | if true links will be generated from urls

void pdftron::PDF::XPSOutputCommonOptions::SetDPI | ( | UInt32 | dpi | ) |

The output resolution, from 1 to 1000, in Dots Per Inch (DPI) at which to render elements which cannot be directly converted. Default is 140.

Parameters

  dpi | the resolution in Dots Per Inch

void pdftron::PDF::XPSOutputCommonOptions::SetOverprint | ( | enum OverprintPreviewMode | mode | ) |

Enable or disable support for overprint and overprint simulation. Overprint is a device dependent feature and the results will vary depending on the output color space and supported colorants (i.e. CMYK, CMYK+spot, RGB, etc). Default is e_op_pdfx_on.

Parameters

  mode | e_op_on: always enabled; e_op_off: always disabled; e_op_pdfx_on: enabled for PDF/X files only.

void pdftron::PDF::XPSOutputCommonOptions::SetPrintMode | ( | bool | print_mode | ) |

Sets whether ToXps should be run in print mode. Default is false.

Parameters

  print_mode | if true print mode is enabled

void pdftron::PDF::XPSOutputCommonOptions::SetRenderPages | ( | bool | render | ) |

Sets whether rendering of pages should be permitted when necessary to guarantee output. Default is true.

Parameters

  render | if false rendering is not permitted under any circumstance

void pdftron::PDF::XPSOutputCommonOptions::SetThickenLines | ( | bool | thicken | ) |

Sets whether thin lines should be thickened. Default is true for XPS and false for XOD.

Parameters

  thicken | if true then thin lines will be thickened

## Friends And Related Function Documentation

friend class Convert
| friend

Definition at line 1480 of file Convert.h.

## Member Data Documentation

TRN_Obj pdftron::PDF::XPSOutputCommonOptions::m_obj

Definition at line 1478 of file Convert.h.

SDF::ObjSet pdftron::PDF::XPSOutputCommonOptions::m_objset
| protected

Definition at line 1481 of file Convert.h.

The documentation for this class was generated from the following file:

- PDF/Convert.h